model-label-outcomes
Read the model label outcomes one Task recorded
GET
/
api
/
v1
/
model-label-outcomes
/
task
Read the model label outcomes one Task recorded
curl --request GET \
--url https://api.nitsor.com/api/v1/model-label-outcomes/task \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/model-label-outcomes/task"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/model-label-outcomes/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-label-outcomes/task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-label-outcomes/task"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/model-label-outcomes/task")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-label-outcomes/task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"state": "recorded",
"standing": "final",
"supersededByTaskId": "<string>",
"failure": {
"message": "<string>",
"attempts": 123
},
"task": {
"taskId": "<string>",
"projectId": "<string>",
"assetId": "<string>",
"approval": "approved",
"finalApproval": true,
"lineageRootTaskId": "<string>",
"jobs": [
{
"jobId": "<string>",
"jobStatus": "submitted",
"runId": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
}
}
],
"position": {
"branchId": "<string>",
"eventSeq": 1
},
"grid": {
"state": "resolved",
"sourceVersionId": "<string>",
"toleranceMm": 123
},
"counts": {
"keptAsIs": 1,
"styleFix": 1,
"smallFix": 1,
"bigFix": 1,
"deleted": 1,
"wrongClass": 1,
"missed": 1,
"pendingRunPlane": 1,
"notComparable": 1,
"notRecorded": 1
},
"interventions": {
"edits": {
"state": "recorded",
"count": 1
},
"deletions": {
"state": "recorded",
"count": 1
},
"additions": {
"state": "recorded",
"count": 1
},
"reprompts": {
"state": "recorded",
"count": 1
},
"sendBacks": {
"state": "recorded",
"count": 1
}
},
"scanFailed": true,
"activeTime": {
"state": "recorded",
"durationMs": 1,
"reason": "editor_activity"
},
"rulesVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"unattributedMisses": [
{
"jobId": "<string>",
"classId": "<string>",
"count": 123,
"annotationIds": [
"<string>"
]
}
],
"thresholds": {
"defaults": {
"boxSmallFixMinIou": 0.5,
"contourStyleFixMinSurfaceDice": 0.5,
"contourSmallFixMinSurfaceDice": 0.5,
"keypointSmallFixRadiusMm": 1
},
"categories": [
{
"classId": "<string>",
"boxSmallFixMinIou": 0.5,
"contourStyleFixMinSurfaceDice": 0.5,
"contourSmallFixMinSurfaceDice": 0.5,
"keypointSmallFixRadiusMm": 1
}
]
}
},
"items": [
{
"kind": "model_label",
"taskId": "<string>",
"jobId": "<string>",
"proposalId": "<string>",
"componentId": "<string>",
"annotationId": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
},
"modelClassId": "<string>",
"finalClassId": "<string>",
"outcome": "kept_as_is",
"scoring": "scored",
"deletedVia": "discarded",
"deletionReason": "<string>",
"disposition": "accepted",
"opened": "opened",
"editSize": {
"addedPathLengthMm": 1,
"addedVolumeMl": 1,
"removedPathLengthMm": 1,
"removedVolumeMl": 1,
"shiftMm": 1,
"surfaceDice": 0.5,
"toleranceMm": 123
},
"beforeGeometryHash": "<string>",
"afterGeometryHash": "<string>",
"approval": "approved",
"standing": "final",
"createdAt": "2023-11-07T05:31:56Z",
"scoringGap": "mask_scorer_not_built",
"helperSources": [
"interpolation"
],
"helperSourcesGap": "event_window_exceeds_scan",
"measure": {
"kind": "box",
"iou": 0.5,
"cornerShiftMm": 1,
"toleranceMm": 123
}
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Query Parameters
Response
Read the model label outcomes one Task recorded
⌘I
Read the model label outcomes one Task recorded
curl --request GET \
--url https://api.nitsor.com/api/v1/model-label-outcomes/task \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nitsor.com/api/v1/model-label-outcomes/task"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nitsor.com/api/v1/model-label-outcomes/task', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/model-label-outcomes/task",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/model-label-outcomes/task"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nitsor.com/api/v1/model-label-outcomes/task")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/model-label-outcomes/task")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"state": "recorded",
"standing": "final",
"supersededByTaskId": "<string>",
"failure": {
"message": "<string>",
"attempts": 123
},
"task": {
"taskId": "<string>",
"projectId": "<string>",
"assetId": "<string>",
"approval": "approved",
"finalApproval": true,
"lineageRootTaskId": "<string>",
"jobs": [
{
"jobId": "<string>",
"jobStatus": "submitted",
"runId": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
}
}
],
"position": {
"branchId": "<string>",
"eventSeq": 1
},
"grid": {
"state": "resolved",
"sourceVersionId": "<string>",
"toleranceMm": 123
},
"counts": {
"keptAsIs": 1,
"styleFix": 1,
"smallFix": 1,
"bigFix": 1,
"deleted": 1,
"wrongClass": 1,
"missed": 1,
"pendingRunPlane": 1,
"notComparable": 1,
"notRecorded": 1
},
"interventions": {
"edits": {
"state": "recorded",
"count": 1
},
"deletions": {
"state": "recorded",
"count": 1
},
"additions": {
"state": "recorded",
"count": 1
},
"reprompts": {
"state": "recorded",
"count": 1
},
"sendBacks": {
"state": "recorded",
"count": 1
}
},
"scanFailed": true,
"activeTime": {
"state": "recorded",
"durationMs": 1,
"reason": "editor_activity"
},
"rulesVersion": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"unattributedMisses": [
{
"jobId": "<string>",
"classId": "<string>",
"count": 123,
"annotationIds": [
"<string>"
]
}
],
"thresholds": {
"defaults": {
"boxSmallFixMinIou": 0.5,
"contourStyleFixMinSurfaceDice": 0.5,
"contourSmallFixMinSurfaceDice": 0.5,
"keypointSmallFixRadiusMm": 1
},
"categories": [
{
"classId": "<string>",
"boxSmallFixMinIou": 0.5,
"contourStyleFixMinSurfaceDice": 0.5,
"contourSmallFixMinSurfaceDice": 0.5,
"keypointSmallFixRadiusMm": 1
}
]
}
},
"items": [
{
"kind": "model_label",
"taskId": "<string>",
"jobId": "<string>",
"proposalId": "<string>",
"componentId": "<string>",
"annotationId": "<string>",
"modelFamily": "<string>",
"modelVersion": "<string>",
"modelSetupVersion": {
"state": "recorded",
"version": "<string>"
},
"modelClassId": "<string>",
"finalClassId": "<string>",
"outcome": "kept_as_is",
"scoring": "scored",
"deletedVia": "discarded",
"deletionReason": "<string>",
"disposition": "accepted",
"opened": "opened",
"editSize": {
"addedPathLengthMm": 1,
"addedVolumeMl": 1,
"removedPathLengthMm": 1,
"removedVolumeMl": 1,
"shiftMm": 1,
"surfaceDice": 0.5,
"toleranceMm": 123
},
"beforeGeometryHash": "<string>",
"afterGeometryHash": "<string>",
"approval": "approved",
"standing": "final",
"createdAt": "2023-11-07T05:31:56Z",
"scoringGap": "mask_scorer_not_built",
"helperSources": [
"interpolation"
],
"helperSourcesGap": "event_window_exceeds_scan",
"measure": {
"kind": "box",
"iou": 0.5,
"cornerShiftMm": 1,
"toleranceMm": 123
}
}
],
"nextCursor": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}